<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: I2C_reg_master Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">I2C_reg_master Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for I2C_reg_master:</div>
<div class="dyncontent">
<div class="center"><img src="classI2C__reg__master__inherit__graph.png" border="0" usemap="#I2C__reg__master_inherit__map" alt="Inheritance graph"/></div>
<map name="I2C__reg__master_inherit__map" id="I2C__reg__master_inherit__map">
<area shape="rect" id="node2" href="classDCC.html" title="DCC" alt="" coords="5,80,57,107"/><area shape="rect" id="node3" href="classDTS.html" title="DTS" alt="" coords="31,155,82,181"/><area shape="rect" id="node5" href="classEventBuilder.html" title="EventBuilder" alt="" coords="106,155,207,181"/><area shape="rect" id="node6" href="classlocalFlash.html" title="localFlash" alt="" coords="183,80,269,107"/><area shape="rect" id="node7" href="classWIB__PWR__POLL__MON.html" title="WIB_PWR_POLL_MON" alt="" coords="293,80,466,107"/><area shape="rect" id="node4" href="classWIB.html" title="WIB" alt="" coords="177,229,225,256"/><area shape="rect" id="node8" href="classWIB__PWR__MON.html" title="WIB_PWR_MON" alt="" coords="293,155,423,181"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classI2C__reg__master-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classI2C__reg__master_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:abb87fe26a0de114bdc2ed1699c59bc43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb87fe26a0de114bdc2ed1699c59bc43"></a>
<a class="el" href="classI2C__reg__master.html#abb87fe26a0de114bdc2ed1699c59bc43">I2C_QUARTER_PERIOD_CLOCK_COUNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:afb669f30ca95d519f7b8bec23b8fb519"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb669f30ca95d519f7b8bec23b8fb519"></a>
<a class="el" href="classI2C__reg__master.html#afb669f30ca95d519f7b8bec23b8fb519">IGNORE_ACK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a9606abfc3814e0231100ee54802971e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9606abfc3814e0231100ee54802971e1"></a>
<a class="el" href="classI2C__reg__master.html#a9606abfc3814e0231100ee54802971e1">REG_ADDR_BYTE_COUNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ae2d66826f7a5263bd2ef0b875bd26a8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2d66826f7a5263bd2ef0b875bd26a8a"></a>
<a class="el" href="classI2C__reg__master.html#ae2d66826f7a5263bd2ef0b875bd26a8a">USE_RESTART_FOR_READ_SEQUENCE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a03a64705034cbe613b5a196a6f487344"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03a64705034cbe613b5a196a6f487344"></a>
<a class="el" href="classI2C__reg__master.html#a03a64705034cbe613b5a196a6f487344">clk_sys</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classI2C__reg__master.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a69bb836feca670e0b5bc0ca098448359"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69bb836feca670e0b5bc0ca098448359"></a>
<a class="el" href="classI2C__reg__master.html#a69bb836feca670e0b5bc0ca098448359">I2C_Address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">6</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1bbe769602db757acd31d379c8e1cf90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bbe769602db757acd31d379c8e1cf90"></a>
<a class="el" href="classI2C__reg__master.html#a1bbe769602db757acd31d379c8e1cf90">run</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abae9470f76e10ee39cbaa4acc89b3692"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abae9470f76e10ee39cbaa4acc89b3692"></a>
<a class="el" href="classI2C__reg__master.html#abae9470f76e10ee39cbaa4acc89b3692">rw</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9ed1072841b6242885d8b1725079de2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9ed1072841b6242885d8b1725079de2"></a>
<a class="el" href="classI2C__reg__master.html#ae9ed1072841b6242885d8b1725079de2">reg_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">REG_ADDR_BYTE_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1dc9f113c1ae1d7294a2430978266f1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1dc9f113c1ae1d7294a2430978266f1e"></a>
<a class="el" href="classI2C__reg__master.html#a1dc9f113c1ae1d7294a2430978266f1e">rd_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5a2a3fd747c785fddfbc1d8c7196bc3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a2a3fd747c785fddfbc1d8c7196bc3a"></a>
<a class="el" href="classI2C__reg__master.html#a5a2a3fd747c785fddfbc1d8c7196bc3a">wr_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4097cb62eab18a7432af771393e42c43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4097cb62eab18a7432af771393e42c43"></a>
<a class="el" href="classI2C__reg__master.html#a4097cb62eab18a7432af771393e42c43">byte_count</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a909cecc1db03f567c484381aff76ff8b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a909cecc1db03f567c484381aff76ff8b"></a>
<a class="el" href="classI2C__reg__master.html#a909cecc1db03f567c484381aff76ff8b">done</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6a6fc26bde6b48fae40a49292e04fb15"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a6fc26bde6b48fae40a49292e04fb15"></a>
<a class="el" href="classI2C__reg__master.html#a6a6fc26bde6b48fae40a49292e04fb15">error</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad0eac83aaba3744e8b3f24889dcf1fe1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0eac83aaba3744e8b3f24889dcf1fe1"></a>
<a class="el" href="classI2C__reg__master.html#ad0eac83aaba3744e8b3f24889dcf1fe1">SDA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7584fee0d7a5621d5494ff9e28e241a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7584fee0d7a5621d5494ff9e28e241a1"></a>
<a class="el" href="classI2C__reg__master.html#a7584fee0d7a5621d5494ff9e28e241a1">SCLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="I2C__reg__master_8vhd_source.html#l00007">7</a> of file <a class="el" href="I2C__reg__master_8vhd_source.html">I2C_reg_master.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/i2c/<a class="el" href="I2C__reg__master_8vhd_source.html">I2C_reg_master.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
